All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::enable_if< b, T > Struct Template Reference

Simple enable-if variant that uses the SFINAE pattern. More...

`#include <enable_if.hpp>`

## Public Types

typedef T | type

## Detailed Description

### template<bool b, class T = void>
struct viennacl::enable_if< b, T >

Simple enable-if variant that uses the SFINAE pattern.

Definition at line 30 of file enable_if.hpp.

## Member Typedef Documentation

template<bool b, class T = void>

typedef T viennacl::enable_if< b, T >::type

Definition at line 32 of file enable_if.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/enable_if.hpp